> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rootly.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves an escalation path

> Retrieves a specific escalation path by id



## OpenAPI

````yaml https://rootly-heroku.s3.amazonaws.com/swagger/v1/swagger.json get /v1/escalation_paths/{id}
openapi: 3.0.1
info:
  title: Rootly API v1
  version: v1
  description: >+
    # How to generate an API Key?

    - **Organization dropdown** > **Organization Settings** > **API Keys**


    # JSON:API Specification

    Rootly is using **JSON:API** (https://jsonapi.org) specification:

    - JSON:API is a specification for how a client should request that resources
    be fetched or modified, and how a server should respond to those requests.

    - JSON:API is designed to minimize both the number of requests and the
    amount of data transmitted between clients and servers. This efficiency is
    achieved without compromising readability, flexibility, or discoverability.

    - JSON:API requires use of the JSON:API media type
    (**application/vnd.api+json**) for exchanging data.


    # Authentication and Requests

    We use standard HTTP Authentication over HTTPS to authorize your requests.

    ```
      curl --request GET \
    --header 'Content-Type: application/vnd.api+json' \

    --header 'Authorization: Bearer YOUR-TOKEN' \

    --url https://api.rootly.com/v1/incidents

    ```


    <br/>


    # Rate limiting

    - There is a default limit of **5** **GET**, **HEAD**, and **OPTIONS** calls
    **per API key** every **60 seconds** (0 hours). The limit is calculated over
    a **0-hour sliding window** looking back from the current time. While the
    limit can be configured to support higher thresholds, you must first contact
    your **Rootly Customer Success Manager** to make any adjustments.

    - There is a default limit of **3** **POST**, **PUT**, **PATCH** or
    **DELETE** calls **per API key** every **60 seconds** (0 hours). The limit
    is calculated over a **0-hour sliding window** looking back from the current
    time. While the limit can be configured to support higher thresholds, you
    must first contact your **Rootly Customer Success Manager** to make any
    adjustments.

    - When rate limits are exceeded, the API will return a **429 Too Many
    Requests** HTTP status code with the response: `{"error": "Rate limit
    exceeded. Try again later."}`

    - **X-RateLimit headers** are included in every API response, providing
    real-time rate limit information:
      - **X-RateLimit-Limit** - The maximum number of requests permitted and the time window (e.g., "1000, 1000;window=3600" for 1000 requests per hour)
      - **X-RateLimit-Remaining** - The number of requests remaining in the current rate limit window
      - **X-RateLimit-Used** - The number of requests already made in the current window
      - **X-RateLimit-Reset** - The time at which the current rate limit window resets, in UTC epoch seconds

    # Pagination

    - Pagination is supported for all endpoints that return a collection of
    items.

    - Pagination is controlled by the **page** query parameter


    ## Example

    ```
      curl --request GET \
    --header 'Content-Type: application/vnd.api+json' \

    --header 'Authorization: Bearer YOUR-TOKEN' \

    --url https://api.rootly.com/v1/incidents?page[number]=1&page[size]=10

    ```

  x-logo:
    url: https://rootly-heroku.s3.us-east-1.amazonaws.com/swagger/v1/logo.png
servers:
  - url: https://api.rootly.com
security: []
paths:
  /v1/escalation_paths/{id}:
    parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - EscalationPaths
      summary: Retrieves an escalation path
      description: Retrieves a specific escalation path by id
      operationId: getEscalationPath
      parameters:
        - name: include
          in: query
          description: 'comma separated if needed. eg: escalation_policy_levels'
          schema:
            type: string
            enum:
              - escalation_policy_levels
          required: false
      responses:
        '200':
          description: escalation path found
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/escalation_policy_path_response'
        '404':
          description: resource not found
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/errors_list'
      security:
        - bearer_auth: []
components:
  schemas:
    escalation_policy_path_response:
      type: object
      properties:
        data:
          type: object
          properties:
            id:
              type: string
              description: Unique ID of the escalation policy path
            type:
              type: string
              enum:
                - escalation_paths
            attributes:
              type: object
              allOf:
                - $ref: '#/components/schemas/escalation_policy_path'
          required:
            - id
            - attributes
      required:
        - data
    errors_list:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              status:
                type: string
              code:
                type: string
                nullable: true
              detail:
                type: string
                nullable: true
            required:
              - title
              - status
    escalation_policy_path:
      type: object
      properties:
        name:
          type: string
          description: The name of the escalation path
        default:
          type: boolean
          description: Whether this escalation path is the default path
        notification_type:
          type: string
          description: Notification rule type
        path_type:
          type: string
          description: The type of escalation path
          enum:
            - escalation
            - deferral
        escalation_policy_id:
          type: string
          description: The ID of the escalation policy
        after_deferral_behavior:
          type: string
          description: What happens after a deferral path finishes
          enum:
            - re_evaluate
            - execute_path
          nullable: true
        after_deferral_path_id:
          type: string
          description: >-
            The escalation path to execute after this deferral path when
            after_deferral_behavior is execute_path
          nullable: true
        match_mode:
          type: string
          description: How path rules are matched.
          enum:
            - match-all-rules
            - match-any-rule
        position:
          type: integer
          description: The position of this path in the paths for this EP.
        repeat:
          type: boolean
          description: >-
            Whether this path should be repeated until someone acknowledges the
            alert
          nullable: true
        repeat_count:
          type: integer
          description: >-
            The number of times this path will be executed until someone
            acknowledges the alert
          nullable: true
        initial_delay:
          type: integer
          description: >-
            Initial delay for escalation path in minutes. Maximum 1 week
            (10080).
        created_at:
          type: string
          description: Date of creation
        updated_at:
          type: string
          description: Date of last update
        rules:
          type: array
          description: Escalation path rules
          items:
            type: object
            oneOf:
              - properties:
                  rule_type:
                    type: string
                    description: The type of the escalation path rule
                    enum:
                      - alert_urgency
                  urgency_ids:
                    type: array
                    description: >-
                      Alert urgency ids for which this escalation path should be
                      used
                    items:
                      type: string
                required:
                  - rule_type
                  - urgency_ids
              - properties:
                  rule_type:
                    type: string
                    description: The type of the escalation path rule
                    enum:
                      - working_hour
                  within_working_hour:
                    type: boolean
                    description: >-
                      Whether the escalation path should be used within working
                      hours
                required:
                  - rule_type
                  - within_working_hour
              - properties:
                  rule_type:
                    type: string
                    description: The type of the escalation path rule
                    enum:
                      - json_path
                  json_path:
                    type: string
                    description: JSON path to extract value from payload
                  operator:
                    type: string
                    description: How JSON path value should be matched
                    enum:
                      - is
                      - is_not
                      - contains
                      - does_not_contain
                      - is_one_of
                      - is_not_one_of
                      - is_set
                      - is_not_set
                  value:
                    type: string
                    description: Value with which JSON path value should be matched
                    nullable: true
                  values:
                    type: array
                    description: >-
                      Values to match against (for is_one_of / is_not_one_of
                      operators)
                    items:
                      type: string
                required:
                  - rule_type
                  - json_path
                  - operator
              - properties:
                  rule_type:
                    type: string
                    description: The type of the escalation path rule
                    enum:
                      - field
                  fieldable_type:
                    type: string
                    description: The type of the fieldable (e.g., AlertField)
                  fieldable_id:
                    type: string
                    description: The ID of the alert field
                  operator:
                    type: string
                    description: How the alert field value should be matched
                    enum:
                      - is
                      - is_not
                      - is_one_of
                      - is_not_one_of
                      - contains
                      - does_not_contain
                      - is_empty
                      - is_not_empty
                      - contains_key
                      - does_not_contain_key
                      - starts_with
                      - does_not_start_with
                      - matches
                      - does_not_match
                  values:
                    type: array
                    description: Values to match against
                    items:
                      type: string
                required:
                  - rule_type
                  - fieldable_type
                  - fieldable_id
                  - operator
              - properties:
                  rule_type:
                    type: string
                    description: The type of the escalation path rule
                    enum:
                      - service
                  service_ids:
                    type: array
                    description: Service ids for which this escalation path should be used
                    items:
                      type: string
                required:
                  - rule_type
                  - service_ids
              - properties:
                  rule_type:
                    type: string
                    description: The type of the escalation path rule
                    enum:
                      - deferral_window
                  time_zone:
                    type: string
                    description: Time zone for the deferral window
                    enum:
                      - International Date Line West
                      - Etc/GMT+12
                      - American Samoa
                      - Pacific/Pago_Pago
                      - Midway Island
                      - Pacific/Midway
                      - Hawaii
                      - Pacific/Honolulu
                      - Alaska
                      - America/Juneau
                      - Pacific Time (US & Canada)
                      - America/Los_Angeles
                      - Tijuana
                      - America/Tijuana
                      - Arizona
                      - America/Phoenix
                      - Mazatlan
                      - America/Mazatlan
                      - Mountain Time (US & Canada)
                      - America/Denver
                      - Central America
                      - America/Guatemala
                      - Central Time (US & Canada)
                      - America/Chicago
                      - Chihuahua
                      - America/Chihuahua
                      - Guadalajara
                      - America/Mexico_City
                      - Mexico City
                      - America/Mexico_City
                      - Monterrey
                      - America/Monterrey
                      - Saskatchewan
                      - America/Regina
                      - Bogota
                      - America/Bogota
                      - Eastern Time (US & Canada)
                      - America/New_York
                      - Indiana (East)
                      - America/Indiana/Indianapolis
                      - Lima
                      - America/Lima
                      - Quito
                      - America/Lima
                      - Atlantic Time (Canada)
                      - America/Halifax
                      - Caracas
                      - America/Caracas
                      - Georgetown
                      - America/Guyana
                      - La Paz
                      - America/La_Paz
                      - Puerto Rico
                      - America/Puerto_Rico
                      - Santiago
                      - America/Santiago
                      - Newfoundland
                      - America/St_Johns
                      - Asuncion
                      - America/Asuncion
                      - Brasilia
                      - America/Sao_Paulo
                      - Buenos Aires
                      - America/Argentina/Buenos_Aires
                      - Montevideo
                      - America/Montevideo
                      - Greenland
                      - America/Nuuk
                      - Mid-Atlantic
                      - Atlantic/South_Georgia
                      - Azores
                      - Atlantic/Azores
                      - Cape Verde Is.
                      - Atlantic/Cape_Verde
                      - Edinburgh
                      - Europe/London
                      - Lisbon
                      - Europe/Lisbon
                      - London
                      - Europe/London
                      - Monrovia
                      - Africa/Monrovia
                      - UTC
                      - Etc/UTC
                      - Amsterdam
                      - Europe/Amsterdam
                      - Belgrade
                      - Europe/Belgrade
                      - Berlin
                      - Europe/Berlin
                      - Bern
                      - Europe/Zurich
                      - Bratislava
                      - Europe/Bratislava
                      - Brussels
                      - Europe/Brussels
                      - Budapest
                      - Europe/Budapest
                      - Casablanca
                      - Africa/Casablanca
                      - Copenhagen
                      - Europe/Copenhagen
                      - Dublin
                      - Europe/Dublin
                      - Ljubljana
                      - Europe/Ljubljana
                      - Madrid
                      - Europe/Madrid
                      - Paris
                      - Europe/Paris
                      - Prague
                      - Europe/Prague
                      - Rome
                      - Europe/Rome
                      - Sarajevo
                      - Europe/Sarajevo
                      - Skopje
                      - Europe/Skopje
                      - Stockholm
                      - Europe/Stockholm
                      - Vienna
                      - Europe/Vienna
                      - Warsaw
                      - Europe/Warsaw
                      - West Central Africa
                      - Africa/Algiers
                      - Zagreb
                      - Europe/Zagreb
                      - Zurich
                      - Europe/Zurich
                      - Athens
                      - Europe/Athens
                      - Bucharest
                      - Europe/Bucharest
                      - Cairo
                      - Africa/Cairo
                      - Harare
                      - Africa/Harare
                      - Helsinki
                      - Europe/Helsinki
                      - Jerusalem
                      - Asia/Jerusalem
                      - Kaliningrad
                      - Europe/Kaliningrad
                      - Kyiv
                      - Europe/Kiev
                      - Pretoria
                      - Africa/Johannesburg
                      - Riga
                      - Europe/Riga
                      - Sofia
                      - Europe/Sofia
                      - Tallinn
                      - Europe/Tallinn
                      - Vilnius
                      - Europe/Vilnius
                      - Baghdad
                      - Asia/Baghdad
                      - Istanbul
                      - Europe/Istanbul
                      - Kuwait
                      - Asia/Kuwait
                      - Minsk
                      - Europe/Minsk
                      - Moscow
                      - Europe/Moscow
                      - Nairobi
                      - Africa/Nairobi
                      - Riyadh
                      - Asia/Riyadh
                      - St. Petersburg
                      - Europe/Moscow
                      - Volgograd
                      - Europe/Volgograd
                      - Tehran
                      - Asia/Tehran
                      - Abu Dhabi
                      - Asia/Muscat
                      - Baku
                      - Asia/Baku
                      - Muscat
                      - Asia/Muscat
                      - Samara
                      - Europe/Samara
                      - Tbilisi
                      - Asia/Tbilisi
                      - Yerevan
                      - Asia/Yerevan
                      - Kabul
                      - Asia/Kabul
                      - Almaty
                      - Asia/Almaty
                      - Astana
                      - Asia/Almaty
                      - Ekaterinburg
                      - Asia/Yekaterinburg
                      - Islamabad
                      - Asia/Karachi
                      - Karachi
                      - Asia/Karachi
                      - Tashkent
                      - Asia/Tashkent
                      - Chennai
                      - Asia/Kolkata
                      - Kolkata
                      - Asia/Kolkata
                      - Mumbai
                      - Asia/Kolkata
                      - New Delhi
                      - Asia/Kolkata
                      - Sri Jayawardenepura
                      - Asia/Colombo
                      - Kathmandu
                      - Asia/Kathmandu
                      - Dhaka
                      - Asia/Dhaka
                      - Urumqi
                      - Asia/Urumqi
                      - Rangoon
                      - Asia/Rangoon
                      - Bangkok
                      - Asia/Bangkok
                      - Hanoi
                      - Asia/Bangkok
                      - Jakarta
                      - Asia/Jakarta
                      - Krasnoyarsk
                      - Asia/Krasnoyarsk
                      - Novosibirsk
                      - Asia/Novosibirsk
                      - Beijing
                      - Asia/Shanghai
                      - Chongqing
                      - Asia/Chongqing
                      - Hong Kong
                      - Asia/Hong_Kong
                      - Irkutsk
                      - Asia/Irkutsk
                      - Kuala Lumpur
                      - Asia/Kuala_Lumpur
                      - Perth
                      - Australia/Perth
                      - Singapore
                      - Asia/Singapore
                      - Taipei
                      - Asia/Taipei
                      - Ulaanbaatar
                      - Asia/Ulaanbaatar
                      - Osaka
                      - Asia/Tokyo
                      - Sapporo
                      - Asia/Tokyo
                      - Seoul
                      - Asia/Seoul
                      - Tokyo
                      - Asia/Tokyo
                      - Yakutsk
                      - Asia/Yakutsk
                      - Adelaide
                      - Australia/Adelaide
                      - Darwin
                      - Australia/Darwin
                      - Brisbane
                      - Australia/Brisbane
                      - Canberra
                      - Australia/Canberra
                      - Guam
                      - Pacific/Guam
                      - Hobart
                      - Australia/Hobart
                      - Melbourne
                      - Australia/Melbourne
                      - Port Moresby
                      - Pacific/Port_Moresby
                      - Sydney
                      - Australia/Sydney
                      - Vladivostok
                      - Asia/Vladivostok
                      - Magadan
                      - Asia/Magadan
                      - New Caledonia
                      - Pacific/Noumea
                      - Solomon Is.
                      - Pacific/Guadalcanal
                      - Srednekolymsk
                      - Asia/Srednekolymsk
                      - Auckland
                      - Pacific/Auckland
                      - Fiji
                      - Pacific/Fiji
                      - Kamchatka
                      - Asia/Kamchatka
                      - Marshall Is.
                      - Pacific/Majuro
                      - Wellington
                      - Pacific/Auckland
                      - Chatham Is.
                      - Pacific/Chatham
                      - Nuku'alofa
                      - Pacific/Tongatapu
                      - Samoa
                      - Pacific/Apia
                      - Tokelau Is.
                      - Pacific/Fakaofo
                  time_blocks:
                    type: array
                    description: Time windows during which alerts are deferred
                    items:
                      type: object
                      properties:
                        monday:
                          type: boolean
                          default: false
                        tuesday:
                          type: boolean
                          default: false
                        wednesday:
                          type: boolean
                          default: false
                        thursday:
                          type: boolean
                          default: false
                        friday:
                          type: boolean
                          default: false
                        saturday:
                          type: boolean
                          default: false
                        sunday:
                          type: boolean
                          default: false
                        start_time:
                          type: string
                          description: Formatted as HH:MM
                        end_time:
                          type: string
                          description: Formatted as HH:MM
                        all_day:
                          type: boolean
                          default: false
                        position:
                          type: integer
                          nullable: true
                required:
                  - rule_type
                  - time_zone
                  - time_blocks
            nullable: true
        time_restriction_time_zone:
          type: string
          description: Time zone used for time restrictions.
          enum:
            - International Date Line West
            - Etc/GMT+12
            - American Samoa
            - Pacific/Pago_Pago
            - Midway Island
            - Pacific/Midway
            - Hawaii
            - Pacific/Honolulu
            - Alaska
            - America/Juneau
            - Pacific Time (US & Canada)
            - America/Los_Angeles
            - Tijuana
            - America/Tijuana
            - Arizona
            - America/Phoenix
            - Mazatlan
            - America/Mazatlan
            - Mountain Time (US & Canada)
            - America/Denver
            - Central America
            - America/Guatemala
            - Central Time (US & Canada)
            - America/Chicago
            - Chihuahua
            - America/Chihuahua
            - Guadalajara
            - America/Mexico_City
            - Mexico City
            - America/Mexico_City
            - Monterrey
            - America/Monterrey
            - Saskatchewan
            - America/Regina
            - Bogota
            - America/Bogota
            - Eastern Time (US & Canada)
            - America/New_York
            - Indiana (East)
            - America/Indiana/Indianapolis
            - Lima
            - America/Lima
            - Quito
            - America/Lima
            - Atlantic Time (Canada)
            - America/Halifax
            - Caracas
            - America/Caracas
            - Georgetown
            - America/Guyana
            - La Paz
            - America/La_Paz
            - Puerto Rico
            - America/Puerto_Rico
            - Santiago
            - America/Santiago
            - Newfoundland
            - America/St_Johns
            - Asuncion
            - America/Asuncion
            - Brasilia
            - America/Sao_Paulo
            - Buenos Aires
            - America/Argentina/Buenos_Aires
            - Montevideo
            - America/Montevideo
            - Greenland
            - America/Nuuk
            - Mid-Atlantic
            - Atlantic/South_Georgia
            - Azores
            - Atlantic/Azores
            - Cape Verde Is.
            - Atlantic/Cape_Verde
            - Edinburgh
            - Europe/London
            - Lisbon
            - Europe/Lisbon
            - London
            - Europe/London
            - Monrovia
            - Africa/Monrovia
            - UTC
            - Etc/UTC
            - Amsterdam
            - Europe/Amsterdam
            - Belgrade
            - Europe/Belgrade
            - Berlin
            - Europe/Berlin
            - Bern
            - Europe/Zurich
            - Bratislava
            - Europe/Bratislava
            - Brussels
            - Europe/Brussels
            - Budapest
            - Europe/Budapest
            - Casablanca
            - Africa/Casablanca
            - Copenhagen
            - Europe/Copenhagen
            - Dublin
            - Europe/Dublin
            - Ljubljana
            - Europe/Ljubljana
            - Madrid
            - Europe/Madrid
            - Paris
            - Europe/Paris
            - Prague
            - Europe/Prague
            - Rome
            - Europe/Rome
            - Sarajevo
            - Europe/Sarajevo
            - Skopje
            - Europe/Skopje
            - Stockholm
            - Europe/Stockholm
            - Vienna
            - Europe/Vienna
            - Warsaw
            - Europe/Warsaw
            - West Central Africa
            - Africa/Algiers
            - Zagreb
            - Europe/Zagreb
            - Zurich
            - Europe/Zurich
            - Athens
            - Europe/Athens
            - Bucharest
            - Europe/Bucharest
            - Cairo
            - Africa/Cairo
            - Harare
            - Africa/Harare
            - Helsinki
            - Europe/Helsinki
            - Jerusalem
            - Asia/Jerusalem
            - Kaliningrad
            - Europe/Kaliningrad
            - Kyiv
            - Europe/Kiev
            - Pretoria
            - Africa/Johannesburg
            - Riga
            - Europe/Riga
            - Sofia
            - Europe/Sofia
            - Tallinn
            - Europe/Tallinn
            - Vilnius
            - Europe/Vilnius
            - Baghdad
            - Asia/Baghdad
            - Istanbul
            - Europe/Istanbul
            - Kuwait
            - Asia/Kuwait
            - Minsk
            - Europe/Minsk
            - Moscow
            - Europe/Moscow
            - Nairobi
            - Africa/Nairobi
            - Riyadh
            - Asia/Riyadh
            - St. Petersburg
            - Europe/Moscow
            - Volgograd
            - Europe/Volgograd
            - Tehran
            - Asia/Tehran
            - Abu Dhabi
            - Asia/Muscat
            - Baku
            - Asia/Baku
            - Muscat
            - Asia/Muscat
            - Samara
            - Europe/Samara
            - Tbilisi
            - Asia/Tbilisi
            - Yerevan
            - Asia/Yerevan
            - Kabul
            - Asia/Kabul
            - Almaty
            - Asia/Almaty
            - Astana
            - Asia/Almaty
            - Ekaterinburg
            - Asia/Yekaterinburg
            - Islamabad
            - Asia/Karachi
            - Karachi
            - Asia/Karachi
            - Tashkent
            - Asia/Tashkent
            - Chennai
            - Asia/Kolkata
            - Kolkata
            - Asia/Kolkata
            - Mumbai
            - Asia/Kolkata
            - New Delhi
            - Asia/Kolkata
            - Sri Jayawardenepura
            - Asia/Colombo
            - Kathmandu
            - Asia/Kathmandu
            - Dhaka
            - Asia/Dhaka
            - Urumqi
            - Asia/Urumqi
            - Rangoon
            - Asia/Rangoon
            - Bangkok
            - Asia/Bangkok
            - Hanoi
            - Asia/Bangkok
            - Jakarta
            - Asia/Jakarta
            - Krasnoyarsk
            - Asia/Krasnoyarsk
            - Novosibirsk
            - Asia/Novosibirsk
            - Beijing
            - Asia/Shanghai
            - Chongqing
            - Asia/Chongqing
            - Hong Kong
            - Asia/Hong_Kong
            - Irkutsk
            - Asia/Irkutsk
            - Kuala Lumpur
            - Asia/Kuala_Lumpur
            - Perth
            - Australia/Perth
            - Singapore
            - Asia/Singapore
            - Taipei
            - Asia/Taipei
            - Ulaanbaatar
            - Asia/Ulaanbaatar
            - Osaka
            - Asia/Tokyo
            - Sapporo
            - Asia/Tokyo
            - Seoul
            - Asia/Seoul
            - Tokyo
            - Asia/Tokyo
            - Yakutsk
            - Asia/Yakutsk
            - Adelaide
            - Australia/Adelaide
            - Darwin
            - Australia/Darwin
            - Brisbane
            - Australia/Brisbane
            - Canberra
            - Australia/Canberra
            - Guam
            - Pacific/Guam
            - Hobart
            - Australia/Hobart
            - Melbourne
            - Australia/Melbourne
            - Port Moresby
            - Pacific/Port_Moresby
            - Sydney
            - Australia/Sydney
            - Vladivostok
            - Asia/Vladivostok
            - Magadan
            - Asia/Magadan
            - New Caledonia
            - Pacific/Noumea
            - Solomon Is.
            - Pacific/Guadalcanal
            - Srednekolymsk
            - Asia/Srednekolymsk
            - Auckland
            - Pacific/Auckland
            - Fiji
            - Pacific/Fiji
            - Kamchatka
            - Asia/Kamchatka
            - Marshall Is.
            - Pacific/Majuro
            - Wellington
            - Pacific/Auckland
            - Chatham Is.
            - Pacific/Chatham
            - Nuku'alofa
            - Pacific/Tongatapu
            - Samoa
            - Pacific/Apia
            - Tokelau Is.
            - Pacific/Fakaofo
          nullable: true
        time_restrictions:
          type: array
          description: >-
            If time restrictions are set, alerts will follow this path when they
            arrive within the specified time ranges and meet the rules.
          items:
            type: object
            properties:
              start_day:
                type: string
                enum:
                  - monday
                  - tuesday
                  - wednesday
                  - thursday
                  - friday
                  - saturday
                  - sunday
              start_time:
                type: string
                description: Formatted as HH:MM
              end_day:
                type: string
                enum:
                  - monday
                  - tuesday
                  - wednesday
                  - thursday
                  - friday
                  - saturday
                  - sunday
              end_time:
                type: string
                description: Formatted as HH:MM
      required:
        - name
        - default
        - notification_type
        - escalation_policy_id
        - repeat
        - repeat_count
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer

````